import { defineStore } from "pinia";

export const useRestDataStore = defineStore("Rest", () => {
  const statusText = (val: string) => {
    switch (val) {
      case "WAITTING":
        return "ใหม่";
      case "PENDING":
        return "รอดำเนินการ";
      case "APPROVE":
        return "อนุมัติ";
      case "REJECT":
        return "ไม่อนุมัติ";
      case "REPORT":
        return "ส่งรายชื่อไปออกคำสั่ง";
      case "WAITING":
        return "รอออกคำสั่ง";
      case "DONE":
        return "ออกคำสั่งเสร็จสิ้น";
      case "DONECANCEL":
        return "ยกเลิกการลาออกสำเร็จ";
      case "CANCEL":
        return "ยกเลิกการลาออกสำเร็จ";
      case "DONEREJECT":
        return "ออกคำสั่งยกเลิกลาออกเสร็จแล้ว";
      case "CANCELING":
        return "กำลังดำเนินการยกเลิก";
      default:
        return "-";
    }
  };

  function convertStatusText(val: string) {
    switch (val) {
      case "PENDING":
        return "รอดำเนินการ";
      case "APPROVE":
        return "อนุญาต";
      case "REJECT":
        return "ยับยั้ง";
    }
  }

  return {
    statusText,
    convertStatusText,
  };
});
